<?php


return  
    [
        'model' => [
            'model' => \Bixo\Whatsapp\Models\User::class,
            'table' => 'bixo_whatsapp_users',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['reporting_to',  'team_id',  'listing_team_id',  'deal_team_id',  'name',  'email',  'password',  'api_token',  'avaya_code',  'avaya_updated',  'avaya_active',  'remember_token',  'sex',  'dob',  'designation',  'description',  'mobile',  'phone',  'address',  'street',  'city',  'district',  'state',  'country',  'photo',  'web',  'property_type',  'lead_type',  'emirate_id',  'location_type',  'permissions',  'status',  'email_verified_at',  'division',  'crm_name',  'rera_brn',  'languages',  'join_date',  'photo_assigned_at',  'listing',  'deal',  'lead',  'type',  'opportunity',  'lead_pool',  'lead_pool_count',  'lead_count',  'lead_contact',  'lead_priority',  'bank',  'branch',  'ifsc_code',  'transfer_code',  'account_number',  'call_answer_rate',  'sale_target',  'rent_target',  'commercial_target',  'agent_type',  'call_target',  'listing_target',  'viewing_target',  'offer_target',  'deal_target',  'hold_counts',  'location_id',  'expiry_at',  'color',  'timings',  'user_id',  'user_type',  'migrated',  'leadpool_amount',  'leaderboard',  'enable_otp',  'user_roles_h'],
            'translatables' => [],
            'upload_folder' => 'whatsapp/user',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "reporting_to", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.reporting_to', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "team_id", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.team_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "listing_team_id", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.listing_team_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "deal_team_id", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.deal_team_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "name", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "email", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.email', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "password", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.password', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "api_token", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.api_token', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "avaya_code", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.avaya_code', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "avaya_updated", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.avaya_updated', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "avaya_active", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.avaya_active', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "remember_token", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.remember_token', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "sex", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.sex', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "dob", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.dob', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "designation", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.designation', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "description", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.description', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "mobile", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.mobile', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "phone", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.phone', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "address", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.address', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "street", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.street', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "city", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.city', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "district", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.district', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "state", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.state', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "country", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.country', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "photo", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.photo', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "web", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.web', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "property_type", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.property_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "lead_type", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.lead_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "emirate_id", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.emirate_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "location_type", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.location_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "email_verified_at", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.email_verified_at', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "division", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.division', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "crm_name", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.crm_name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rera_brn", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.rera_brn', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "languages", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.languages', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "join_date", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.join_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "photo_assigned_at", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.photo_assigned_at', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "listing", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.listing', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "deal", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.deal', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "lead", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.lead', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "type", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "opportunity", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.opportunity', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "lead_pool", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.lead_pool', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "lead_pool_count", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.lead_pool_count', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "lead_count", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.lead_count', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "lead_contact", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.lead_contact', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "lead_priority", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.lead_priority', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "bank", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.bank', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "branch", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.branch', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "ifsc_code", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.ifsc_code', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "transfer_code", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.transfer_code', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "account_number", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.account_number', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "call_answer_rate", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.call_answer_rate', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "sale_target", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.sale_target', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rent_target", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.rent_target', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "commercial_target", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.commercial_target', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "agent_type", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.agent_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "call_target", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.call_target', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "listing_target", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.listing_target', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "viewing_target", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.viewing_target', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "offer_target", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.offer_target', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "deal_target", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.deal_target', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "hold_counts", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.hold_counts', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "location_id", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.location_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "expiry_at", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.expiry_at', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "color", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.color', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "timings", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.timings', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "migrated", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.migrated', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "leadpool_amount", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.leadpool_amount', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "leaderboard", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.leaderboard', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "enable_otp", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.enable_otp', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "user_roles_h", 
                "type" => "text", 
                "label" => 'whatsapp::user.label.user_roles_h', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'reporting_to',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'whatsapp::user.label.reporting_to',
                "placeholder" => 'whatsapp::user.placeholder.reporting_to',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'team_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'whatsapp::user.label.team_id',
                "placeholder" => 'whatsapp::user.placeholder.team_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'listing_team_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'whatsapp::user.label.listing_team_id',
                "placeholder" => 'whatsapp::user.placeholder.listing_team_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'deal_team_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'whatsapp::user.label.deal_team_id',
                "placeholder" => 'whatsapp::user.placeholder.deal_team_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'whatsapp::user.label.name',
                "placeholder" => 'whatsapp::user.placeholder.name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'email',
                "element" => 'text',
                "type" => 'text',
                "label" => 'whatsapp::user.label.email',
                "placeholder" => 'whatsapp::user.placeholder.email',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'password',
                "element" => 'text',
                "type" => 'text',
                "label" => 'whatsapp::user.label.password',
                "placeholder" => 'whatsapp::user.placeholder.password',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'api_token',
                "element" => 'text',
                "type" => 'text',
                "label" => 'whatsapp::user.label.api_token',
                "placeholder" => 'whatsapp::user.placeholder.api_token',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'avaya_code',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'whatsapp::user.label.avaya_code',
                "placeholder" => 'whatsapp::user.placeholder.avaya_code',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'avaya_updated',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'whatsapp::user.label.avaya_updated',
                "placeholder" => 'whatsapp::user.placeholder.avaya_updated',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'avaya_active',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'whatsapp::user.label.avaya_active',
                "placeholder" => 'whatsapp::user.placeholder.avaya_active',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'remember_token',
                "element" => 'text',
                "type" => 'text',
                "label" => 'whatsapp::user.label.remember_token',
                "placeholder" => 'whatsapp::user.placeholder.remember_token',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'sex',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'whatsapp::user.label.sex',
                "placeholder" => 'whatsapp::user.placeholder.sex',
                "rules" => '',
                "options" => function(){
                    return trans('whatsapp::user.options.sex');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'dob',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'whatsapp::user.label.dob',
                "placeholder" => 'whatsapp::user.placeholder.dob',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'designation',
                "element" => 'text',
                "type" => 'text',
                "label" => 'whatsapp::user.label.designation',
                "placeholder" => 'whatsapp::user.placeholder.designation',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'description',
                "element" => 'text',
                "type" => 'text',
                "label" => 'whatsapp::user.label.description',
                "placeholder" => 'whatsapp::user.placeholder.description',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'mobile',
                "element" => 'text',
                "type" => 'text',
                "label" => 'whatsapp::user.label.mobile',
                "placeholder" => 'whatsapp::user.placeholder.mobile',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'phone',
                "element" => 'text',
                "type" => 'text',
                "label" => 'whatsapp::user.label.phone',
                "placeholder" => 'whatsapp::user.placeholder.phone',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'address',
                "element" => 'text',
                "type" => 'text',
                "label" => 'whatsapp::user.label.address',
                "placeholder" => 'whatsapp::user.placeholder.address',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'street',
                "element" => 'text',
                "type" => 'text',
                "label" => 'whatsapp::user.label.street',
                "placeholder" => 'whatsapp::user.placeholder.street',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'city',
                "element" => 'text',
                "type" => 'text',
                "label" => 'whatsapp::user.label.city',
                "placeholder" => 'whatsapp::user.placeholder.city',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'district',
                "element" => 'text',
                "type" => 'text',
                "label" => 'whatsapp::user.label.district',
                "placeholder" => 'whatsapp::user.placeholder.district',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'state',
                "element" => 'text',
                "type" => 'text',
                "label" => 'whatsapp::user.label.state',
                "placeholder" => 'whatsapp::user.placeholder.state',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'country',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'whatsapp::user.label.country',
                "placeholder" => 'whatsapp::user.placeholder.country',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'photo',
                "element" => 'text',
                "type" => 'text',
                "label" => 'whatsapp::user.label.photo',
                "placeholder" => 'whatsapp::user.placeholder.photo',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'web',
                "element" => 'text',
                "type" => 'text',
                "label" => 'whatsapp::user.label.web',
                "placeholder" => 'whatsapp::user.placeholder.web',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'property_type',
                "element" => 'text',
                "type" => 'text',
                "label" => 'whatsapp::user.label.property_type',
                "placeholder" => 'whatsapp::user.placeholder.property_type',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'lead_type',
                "element" => 'text',
                "type" => 'text',
                "label" => 'whatsapp::user.label.lead_type',
                "placeholder" => 'whatsapp::user.placeholder.lead_type',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'emirate_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'whatsapp::user.label.emirate_id',
                "placeholder" => 'whatsapp::user.placeholder.emirate_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'location_type',
                "element" => 'text',
                "type" => 'text',
                "label" => 'whatsapp::user.label.location_type',
                "placeholder" => 'whatsapp::user.placeholder.location_type',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'permissions',
                "element" => 'html_editor',
                "type" => 'html_editor',
                "label" => 'whatsapp::user.label.permissions',
                "placeholder" => 'whatsapp::user.placeholder.permissions',
                "rules" => '',
                "group" => "main.main",
                "col" => "12",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'email_verified_at',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'whatsapp::user.label.email_verified_at',
                "placeholder" => 'whatsapp::user.placeholder.email_verified_at',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'division',
                "element" => 'text',
                "type" => 'text',
                "label" => 'whatsapp::user.label.division',
                "placeholder" => 'whatsapp::user.placeholder.division',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'crm_name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'whatsapp::user.label.crm_name',
                "placeholder" => 'whatsapp::user.placeholder.crm_name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rera_brn',
                "element" => 'text',
                "type" => 'text',
                "label" => 'whatsapp::user.label.rera_brn',
                "placeholder" => 'whatsapp::user.placeholder.rera_brn',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'languages',
                "element" => 'text',
                "type" => 'text',
                "label" => 'whatsapp::user.label.languages',
                "placeholder" => 'whatsapp::user.placeholder.languages',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'join_date',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'whatsapp::user.label.join_date',
                "placeholder" => 'whatsapp::user.placeholder.join_date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'photo_assigned_at',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'whatsapp::user.label.photo_assigned_at',
                "placeholder" => 'whatsapp::user.placeholder.photo_assigned_at',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'listing',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'whatsapp::user.label.listing',
                "placeholder" => 'whatsapp::user.placeholder.listing',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'deal',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'whatsapp::user.label.deal',
                "placeholder" => 'whatsapp::user.placeholder.deal',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'lead',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'whatsapp::user.label.lead',
                "placeholder" => 'whatsapp::user.placeholder.lead',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'type',
                "element" => 'text',
                "type" => 'text',
                "label" => 'whatsapp::user.label.type',
                "placeholder" => 'whatsapp::user.placeholder.type',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'opportunity',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'whatsapp::user.label.opportunity',
                "placeholder" => 'whatsapp::user.placeholder.opportunity',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'lead_pool',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'whatsapp::user.label.lead_pool',
                "placeholder" => 'whatsapp::user.placeholder.lead_pool',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'lead_pool_count',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'whatsapp::user.label.lead_pool_count',
                "placeholder" => 'whatsapp::user.placeholder.lead_pool_count',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'lead_count',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'whatsapp::user.label.lead_count',
                "placeholder" => 'whatsapp::user.placeholder.lead_count',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'lead_contact',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'whatsapp::user.label.lead_contact',
                "placeholder" => 'whatsapp::user.placeholder.lead_contact',
                "rules" => '',
                "options" => function(){
                    return trans('whatsapp::user.options.lead_contact');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'lead_priority',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'whatsapp::user.label.lead_priority',
                "placeholder" => 'whatsapp::user.placeholder.lead_priority',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'bank',
                "element" => 'text',
                "type" => 'text',
                "label" => 'whatsapp::user.label.bank',
                "placeholder" => 'whatsapp::user.placeholder.bank',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'branch',
                "element" => 'text',
                "type" => 'text',
                "label" => 'whatsapp::user.label.branch',
                "placeholder" => 'whatsapp::user.placeholder.branch',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'ifsc_code',
                "element" => 'text',
                "type" => 'text',
                "label" => 'whatsapp::user.label.ifsc_code',
                "placeholder" => 'whatsapp::user.placeholder.ifsc_code',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'transfer_code',
                "element" => 'text',
                "type" => 'text',
                "label" => 'whatsapp::user.label.transfer_code',
                "placeholder" => 'whatsapp::user.placeholder.transfer_code',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'account_number',
                "element" => 'text',
                "type" => 'text',
                "label" => 'whatsapp::user.label.account_number',
                "placeholder" => 'whatsapp::user.placeholder.account_number',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'call_answer_rate',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'whatsapp::user.label.call_answer_rate',
                "placeholder" => 'whatsapp::user.placeholder.call_answer_rate',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'sale_target',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'whatsapp::user.label.sale_target',
                "placeholder" => 'whatsapp::user.placeholder.sale_target',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rent_target',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'whatsapp::user.label.rent_target',
                "placeholder" => 'whatsapp::user.placeholder.rent_target',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'commercial_target',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'whatsapp::user.label.commercial_target',
                "placeholder" => 'whatsapp::user.placeholder.commercial_target',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'agent_type',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'whatsapp::user.label.agent_type',
                "placeholder" => 'whatsapp::user.placeholder.agent_type',
                "rules" => '',
                "options" => function(){
                    return trans('whatsapp::user.options.agent_type');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'call_target',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'whatsapp::user.label.call_target',
                "placeholder" => 'whatsapp::user.placeholder.call_target',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'listing_target',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'whatsapp::user.label.listing_target',
                "placeholder" => 'whatsapp::user.placeholder.listing_target',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'viewing_target',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'whatsapp::user.label.viewing_target',
                "placeholder" => 'whatsapp::user.placeholder.viewing_target',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'offer_target',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'whatsapp::user.label.offer_target',
                "placeholder" => 'whatsapp::user.placeholder.offer_target',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'deal_target',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'whatsapp::user.label.deal_target',
                "placeholder" => 'whatsapp::user.placeholder.deal_target',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'hold_counts',
                "element" => 'text',
                "type" => 'text',
                "label" => 'whatsapp::user.label.hold_counts',
                "placeholder" => 'whatsapp::user.placeholder.hold_counts',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'location_id',
                "element" => 'text',
                "type" => 'text',
                "label" => 'whatsapp::user.label.location_id',
                "placeholder" => 'whatsapp::user.placeholder.location_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'expiry_at',
                "element" => 'text',
                "type" => 'text',
                "label" => 'whatsapp::user.label.expiry_at',
                "placeholder" => 'whatsapp::user.placeholder.expiry_at',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'color',
                "element" => 'text',
                "type" => 'text',
                "label" => 'whatsapp::user.label.color',
                "placeholder" => 'whatsapp::user.placeholder.color',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'timings',
                "element" => 'text',
                "type" => 'text',
                "label" => 'whatsapp::user.label.timings',
                "placeholder" => 'whatsapp::user.placeholder.timings',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'migrated',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'whatsapp::user.label.migrated',
                "placeholder" => 'whatsapp::user.placeholder.migrated',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'leadpool_amount',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'whatsapp::user.label.leadpool_amount',
                "placeholder" => 'whatsapp::user.placeholder.leadpool_amount',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'leaderboard',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'whatsapp::user.label.leaderboard',
                "placeholder" => 'whatsapp::user.placeholder.leaderboard',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'enable_otp',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'whatsapp::user.label.enable_otp',
                "placeholder" => 'whatsapp::user.placeholder.enable_otp',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'user_roles_h',
                "element" => 'text',
                "type" => 'text',
                "label" => 'whatsapp::user.label.user_roles_h',
                "placeholder" => 'whatsapp::user.placeholder.user_roles_h',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'whatsapp/user/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'whatsapp/user/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'whatsapp/user',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'whatsapp/user',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'whatsapp/user',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'whatsapp/user',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'whatsapp::user.label.created_at',
            'name' => 'whatsapp::user.label.name',
            'status' => 'whatsapp::user.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "whatsapp::user.groups.main",
                'group' => "main.main",
                'title' => "whatsapp::user.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "whatsapp::user.groups.details",
                'group' => "main.details",
                'title' => "whatsapp::user.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "whatsapp::user.groups.images",
                'group' => "main.images",
                'title' => "whatsapp::user.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "whatsapp::user.groups.settings",
                'group' => "main.settings",
                'title' => "whatsapp::user.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Bixo',
            'package' => 'Whatsapp',
            'module' => 'User',
        ],

        
        
    ];
