<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoWhatsappChatsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_whatsapp_chats
         */
        Schema::create('bixo_whatsapp_chats', function ($table) {
            $table->increments('id');
            $table->string('user_id', 15)->nullable();
            $table->string('agent_phone', 20)->nullable();
            $table->string('client_phone', 20)->nullable();
            $table->string('client_name', 50)->nullable();
            $table->string('chanel', 10)->nullable();
            $table->enum('direction', ['Yes', 'No'])->nullable();
            $table->string('type', 50)->nullable();
            $table->longText('message')->nullable();
            $table->text('media')->nullable();
            $table->integer('opp_id')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_whatsapp_chats');
    }
}
